#include "triangles.h"
using namespace std;
using ll = int;
std::vector<std::vector<int>> solve(int n) {
    vector<Triangle> mx{{0, 1, 2}, {0, 1, 3}};
    vector<vector<int>> ans{{0, 1, 2}, {0, 1, 3}};
    for (ll i = 0; i < n; ++i) {
        for (ll j = 0; j < n; ++j) {
            if (i == j) continue;
            for (ll k = 0; k < n; ++k) {
                if (i == k) continue;
                if (j == k) continue;
                for (ll d = 0; d < n; ++d) {
                    if (i == d) continue;
                    if (j == d) continue;
                    if (k == d) continue;
                    if (compare(mx, {{i, j, k}, {i, j, d}}) == -1) {
                        mx = {{i, j, k}, {i, j, d}};
                        ans = {{i, j, k}, {i, j, d}};
                    }
                }
            }
        }
    }
    return ans;
}
